Part API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part API and the translation is 60% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română
(November 2018) This information may be incomplete and outdated. For the latest API, see the autogenerated API documentation.


Modulul Parte este conexiunea directă dintre FreeCAD și kernelul OpenCasCade. Acesta oferă în principal TopoShapes, care este tipul principal de obiect utilizat de OpenCascade. Modulul Parte conține, de asemenea, o varietate de funcții de comoditate pentru a crea și manipula topoShapes. Exemplu:

import Part
mycube = Part.makeBox(2,2,2)
Part.show(mycube)
Method.png __fromPythonOCC__ ( OCC.Object )

Description: metoda Helper pentru a converti un pythonOCC într-o formă formă internă

Returns: A

Part.Shape
Method.png __sortEdges__ ( lista muchiilor )

Description: Metoda ajutorul pentru sortarea unei liste neordonată margini (margini), care, ulterior, două muchii adiacente împart un nod comun

Returns: o listă de margini

Method.png __toPythonOCC__ ( )

Description: Part.Shape

Returns: Metodă de ajutor pentru conversia unei forme interne într-o formă pythonocc

Method.png cast_to_shape ( Part.Shape )

Description: Distribuția tipului real de formă

Returns:

Method.png export ( list )

Description: string

Returns: Exportați o listă de obiecte într-un singur fișier

Method.png getSortedClusters ( lista margini )

Description: Metoda Helper pentru sortarea și gruparea unei varietăți de margini

Returns:

Method.png en ( insert )

Description: string

Returns: string

Method.png makeBox ( lungime, lățime, înălțime, [pnt, dir] )

Description: Face o zonă în punctul cu dimensiuni (lungime, lățime, înălțime). În mod prestabilit, punctul este la Vector (0,0,0) iar direcția la Vector (0,0,1)

Returns: Creează o formă

Method.png makeCircle ( radius, [pnt, dir, angle1, angle2] )

Description: Face un cerc cu o anumită rază. În mod prestabilit, punctul este la Vector (0,0,0), iar direcția este Vector (0,0,1), unghiul1 este 0 ° și unghiul2 este 360 ​​°

Returns: Creați o formă

Method.png makeCompound ( list )

Description: Creați un compus dintr-o listă de forme.

Returns: Creați o formă

Method.png makeCone ( radius1, radius2, height, [pnt, dir, angle] )

Description: Face un con cu raza și înălțimea. Punct implicit este vectorul (0,0,0), iar direcția este vectorul (0,0,1), iar unghiul este de 360 ​​°

Returns: Creare formă

Method.png makeCylinder ( rază, înălțime, [pnt, direcție, unghi] )

Description: face un cilindru cu o anumită dimensiune și o rază. În mod prestabilit, punctul este la Vectorr (0,0,0), iar direcția este Vector (0,0,1) și unghiul este 360 ​​°

Returns: Creați o formă

Method.png makeHelix ( pitch, height, radius, [angle] )

Description: Face o helix cu o înălțime, înălțime și rază date. Implicit, o suprafață cilindrică este utilizată pentru a crea spirala. Dacă există un al patrulea parametru, se utilizează în schimb o suprafață conică

Returns: Creează o formă

Method.png makeLine ( (x1, y1, z1), (x2, y2, z2) )

Description: Crearea unei linii la două puncte

Returns: Crearea unei forme

Method.png makeLoft ( shapelist <profiles>, [boolean <solid>, boolean <ruled>] Crează o formă de loft utilizând lista de profile. Opțional face un solid (vs suprafață / coajă) sau face rezultatul o suprafață condusă )

Description: Crearea unei forme loft

Returns: Crearea unei forme

Method.png makePlane ( lungime, lățime, [pnt, dir] )

Description: Creați un plan. Implicit, punctul este la Vector (0,0,0) și direcția la Vector (0,0,1)

Returns: Creați o formă

Method.png makePolygon ( list )

Description: Crearea unui poligon cu o listă de vectori

Returns: Crearea unei forme

Method.png makeRevolution ( Curve [Vmin, Vmax unghiul pnt, dir] )

Description: Face o formă de revoluție prin rotirea curbei, sau o porțiune a acesteia cu privire la o anumită axă (punct, direcție). În mod implicit, vmin și vmax sunt setate la limitele curbei, unghiul este 360 ​​°, punctul este Vector (0,0,0) și direcția este Vector (0,0,1). formă

Returns: {{{4}}}

Method.png makeRuledSurface ( Edge sau Wire, Edge or Wire )

Description: Crează o suprafață setată din două margini sau fire. Dacă firele sunt folosite, acestea trebuie să aibă același număr de muchii.

Returns: Crearea unei forme

Method.png makeShell ( list )

Description: Creează un shell pe o listă de fețe.

Returns: Creează o formă

Method.png makeSolid ( Part.Shape )

Description: Creează un înveliș exterior solid, în interiorul unei forme

Returns: . Creează o formă

Method.png makeSphere ( radius, [pnt, dir, angle1_First, angle2_Fin, angle3] )

Description: Creează o sferă a unei raze date. Implicit, punctul este la Vector (0,0,0), iar direcția este la Vector (0,0,1), unghiul 1 este -90 °, unghiul 2 este de 90 ° și unghiul3 este 360 ​​°

Returns: Creați o formă

Method.png makeTorus ( raza1, radius2, [pnt, directia, unghiul1, unghiul2, unghiul] )

Description: Creeaza un torus cu date de raza de raza. În mod implicit, punctul este la Vector (0,0,0), iar direcția este la vector (0,0,1), unghiul 1 este 0 °, unghiul 2 este 360 ​​° și unghiul este 360 ​​°

Returns: Creați o formă

Method.png makeTube ( margine, float )

Description: Creați un tub.

Returns: Creați o formă

Method.png en ( open )

Description: string

Returns: Creați un document nou și încărcați fișierul în document

Method.png en ( read )

Description: string

Returns: Încarcă fișierul și returnează o formă.

Method.png en ( show )

Description: shape

Returns: Adăugați forma documentului activ sau creați unul dacă nu există niciun document.